astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Models and Fitting (`astropy.modeling`) »
- InverseSIP

# InverseSIP

class `astropy.modeling.polynomial.``InverseSIP`

  Bases: `astropy.modeling.Model`

  Inverse Simple Imaging Polynomial

  Parameters:

  ap_order : int

  > order for the inverse transformation (AP coefficients)

  bp_order : int

  > order for the inverse transformation (BP coefficients)

  ap_coeff : dict

  > coefficients for the inverse transform

  bp_coeff : dict

  > coefficients for the inverse transform

  Attributes Summary

  `inputs` |
  `outputs` |

  Methods Summary

  `__call__`(x, y[, model_set_axis]) | Evaluate this model using the given input(s) and the parameter values that were specified when the model was instantiated.
  `eval`(*args, **kwargs) | Deprecated since version 1.0.
  `evaluate`(x, y) | Evaluate the model on some input variables.

  Attributes Documentation

  `inputs` = (u'x', u'y')
  `outputs` = (u'u', u'v')

  Methods Documentation

  `__call__`(x, y, model_set_axis=None)

    Evaluate this model using the given input(s) and the parameter values that were specified when the model was instantiated.

  `eval`(*args, **kwargs)

    Deprecated since version 1.0: The eval function is deprecated and may be removed in a future version. Use InverseSIP.evaluate instead.

    Evaluate the model on some input variables.

  `evaluate`(x, y)

    Evaluate the model on some input variables.